org.mariadb.jdbc.internal.common.packet

## Class OKPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.ResultPacket
  - - org.mariadb.jdbc.internal.common.packet.OKPacket

    public class OKPacket
    extends ResultPacket

. User: marcuse Date: Jan 16, 2009 Time: 4:23:40 PM

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mariadb.jdbc.internal.common.packet.ResultPacket

`ResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`OKPacket(RawPacket rawPacket)`

### Method Summary

Methods
`long` `getAffectedRows()`
`long` `getInsertId()`
`String` `getMessage()`
`byte` `getPacketSeq()`
`ResultPacket.ResultType` `getResultType()`
`short` `getServerStatus()`
`short` `getWarnings()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OKPacket

    public OKPacket(RawPacket rawPacket)
             throws IOException

Throws:
  `IOException`

### Method Detail

#### getResultType

    public ResultPacket.ResultType getResultType()

Specified by:
  `getResultType` in class `ResultPacket`

#### getPacketSeq

    public byte getPacketSeq()

Specified by:
  `getPacketSeq` in class `ResultPacket`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getAffectedRows

    public long getAffectedRows()

#### getInsertId

    public long getInsertId()

#### getServerStatus

    public short getServerStatus()

#### getWarnings

    public short getWarnings()

#### getMessage

    public String getMessage()